package bricklesPackage;
import java.awt.*;
import java.lang.*;
import java.util.*;

public class Collision extends Exception{
	protected MovablePiece mPiece;
	protected ArcadeGamePiece aPiece;
	protected Point location;
	protected Vector vector;

	public Collision(MovablePiece movablePiece,ArcadeGamePiece arcadeGamePiece, Point point){
		location = point;
		mPiece = movablePiece;
		aPiece = arcadeGamePiece;
	}

	public void occur(){
		mPiece.collideWith(aPiece,location);

	}

}